POST Retrieve activation code.
POST /merchant/spi/sample/endpoint/sa/activation/code/activation/code/from/external/system
Operation ID: getActivationCode. Tags: Activation Code SPI.
Retrieve activation code from merchant's system based on provided input. Merchants must implement this endpoint per this specification and then configure it in CMS under CMS > Store Management > Integration > Custom API Connectors > Create. Make sure to create the endpoint in CMS with the following details:
- Under API Config:
- API Key:
ACTIVATION_CODE - API Endpoint: Provide the external endpoint to get activation code and details, for example: /merchant/spi/sample/endpoint/sa/activation/code
- API Key:
- Under JSON Config:
- Integration Type:
HTTP_POST - JSON Headers: Provide the header for the API. Headers can be Content-Type, for example: {"contentType": "application/json"} Invoke: The SPI is invoked during the order checkout flow or submit order only if the order has a product that needs population of activation code from the external service (i.e., CMS > Product Class > Requires Activation Code via External Source is enabled). Response: If the SPI has an empty response or error, the order checkout or submit order flow is not completed and the associate sees an error. For more details, refer to Point of Sale SPI Error Handling
- Integration Type:
Request body
Media type: application/json. Schema: ActivationCodeRequest.
Responses
- default
Default response.
Media type:
application/json. Schema:ActivationCodeResponse.